Subject: Re: bug#40590:

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 18 Apr 2020 20:17:29 +0200

On Sat, Apr 18, 2020 at 01:47:11PM -0400, Keyhenge wrote:
> The amd option didn't work, but nomodeset allowed me to get to a shell,
> at which point I could start experimenting with various settings to see
> if I could get a graphical environment. I finally did by switching over
> to the proprietary kernel (which points to a graphical driver issue with
> AMD Navi cards in the libre kernel), but that's obviously less than ideal.
> 

If you have no problems sacrificing all the acceleration by your AMD
GPU, you can try using libre uvesafb for Xorg graphics.  What I wrote
at <https://lists.gnu.org/archive/html/bug-guix/2020-04/msg00320.html>
was not necessary there but maybe is in your case.  That said, this
situation is far from ideal, but I don’t think the AMD firmware will
be freed (if there is no other way).

Regards,
Florian